pymatgen.util package
=====================

.. automodule:: pymatgen.util
   :members:
   :undoc-members:
   :show-inheritance:

Submodules
----------

pymatgen.util.coord module
--------------------------

.. automodule:: pymatgen.util.coord
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.util.coord\_cython module
----------------------------------

.. automodule:: pymatgen.util.coord_cython
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.util.due module
------------------------

.. automodule:: pymatgen.util.due
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.util.graph\_hashing module
-----------------------------------

.. automodule:: pymatgen.util.graph_hashing
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.util.io\_utils module
------------------------------

.. automodule:: pymatgen.util.io_utils
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.util.num module
------------------------

.. automodule:: pymatgen.util.num
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.util.numba module
--------------------------

.. automodule:: pymatgen.util.numba
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.util.plotting module
-----------------------------

.. automodule:: pymatgen.util.plotting
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.util.provenance module
-------------------------------

.. automodule:: pymatgen.util.provenance
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.util.string module
---------------------------

.. automodule:: pymatgen.util.string
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.util.testing module
----------------------------

.. automodule:: pymatgen.util.testing
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.util.typing module
---------------------------

.. automodule:: pymatgen.util.typing
   :members:
   :undoc-members:
   :show-inheritance:
